import * as Data from "../data.js";
import * as Form from "../form.js";

const submissionForm = document.getElementById('submission-form');
const emailTextbox = document.getElementById('email-textbox');
const passwordTextbox = document.getElementById('password-textbox');
const adminCheckbox = document.getElementById('admin-checkbox');
const submitButton = document.getElementById('submit-button');
const deleteButton = document.getElementById('delete-button');

async function Initialize() {
    let params = new URLSearchParams(location.search);
    let accountID = params.get('account');
    if(accountID) {
        const account = await Data.getAccount(accountID);
        console.log(account);

        emailTextbox.value = account.email;

        passwordTextbox.placeholder = "leave unchanged";

        adminCheckbox.checked = account.isAdmin;

        Form.addHiddenValue('account', accountID, submissionForm);

        deleteButton.style.visibility = "visible";
        deleteButton.disabled = false;
    }
    emailTextbox.disabled = false;
    emailTextbox.addEventListener('keyup', checkDataValidity);
    passwordTextbox.disabled = false;
    passwordTextbox.addEventListener('keyup', checkDataValidity);
    adminCheckbox.disabled = false;
    checkDataValidity();
}
Initialize();

async function checkDataValidity() {
    let dataIsValid = true;

    if(!passwordTextbox.value && !passwordTextbox.placeholder) dataIsValid = false;
    if(!emailTextbox.value) dataIsValid = false;

    if(dataIsValid) submitButton.disabled = false;
    else submitButton.disabled = true;
}

Form.addRemoveFunction(deleteButton, submissionForm, "account");